Package net.sourceforge.jiu.codecs.jpeg

# Class JPEGScan

java.lang.Object
net.sourceforge.jiu.codecs.jpeg.JPEGScan

public class JPEGScan extends Object
Data class for information from a JPEG scan header (stored in an SOS marker).

Since:
  0.13.0
Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`private JPEGScanComponentSpecification[]`
`compSpecs`
`private int`
`numComponents`

## Constructor Summary

Constructors
Constructor
Description
`JPEGScan()`

## Method Summary

Modifier and Type
Method
Description
`JPEGScanComponentSpecification[]`
`getCompSpecs()`
`int`
`getNumComponents()`
`void`
`setCompSpecs(JPEGScanComponentSpecification[] specifications)`
`void`
`setNumComponents(int i)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### numComponents

private int numComponents

### compSpecs

private JPEGScanComponentSpecification[] compSpecs

## Constructor Details

### JPEGScan

public JPEGScan()

## Method Details

### getNumComponents

public int getNumComponents()

### setNumComponents

public void setNumComponents(int i)

### getCompSpecs

public JPEGScanComponentSpecification[] getCompSpecs()

### setCompSpecs

public void setCompSpecs(JPEGScanComponentSpecification[] specifications)